package com.yhy.module.core.convert.workbench;

import com.yhy.module.core.controller.admin.workbench.vo.WbCompileTreeRespVO;
import com.yhy.module.core.controller.admin.workbench.vo.WbCompileTreeSaveReqVO;
import com.yhy.module.core.dal.dataobject.workbench.WbCompileTreeDO;
import java.util.List;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 编制模式树 Convert
 *
 * @author yhy
 */
@Mapper
public interface WbCompileTreeConvert {

    WbCompileTreeConvert INSTANCE = Mappers.getMapper(WbCompileTreeConvert.class);

    WbCompileTreeDO convert(WbCompileTreeSaveReqVO bean);

    WbCompileTreeRespVO convert(WbCompileTreeDO bean);

    List<WbCompileTreeRespVO> convertList(List<WbCompileTreeDO> list);
}
